package com.ruoyi.mall.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 商家管理对象 mall_shop_shop
 * 
 * @author ruoyi
 * @date 2024-03-28
 */
public class MallShopShop extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 商家ID */
    private Long shopId;

    /** 系统用户ID */
    @Excel(name = "系统用户ID")
    private Long sysUserId;

    /** 商家名称 */
    @Excel(name = "商家名称")
    private String shopName;

    /** 商家电话 */
    @Excel(name = "商家电话")
    private String shopPhone;

    /** 账号 */
    @Excel(name = "账号")
    private String shopAccount;

    /** 密码 */
    @Excel(name = "密码")
    private String shopPassword;

    /** 商家主图 */
    @Excel(name = "商家主图")
    private String shopImage;

    /** 商家轮播图 */
    @Excel(name = "商家轮播图")
    private String shopBanner;

    /** 营业执照 */
    @Excel(name = "营业执照")
    private String shopLicense;

    /** 经营许可 */
    @Excel(name = "经营许可")
    private String shopPermit;

    /** 经营时间开始 */
    @Excel(name = "经营时间开始")
    private String shopBusinessBegin;

    /** 经营时间结束 */
    @Excel(name = "经营时间结束")
    private String shopBusinessEnd;

    /** 商家金额 */
    @Excel(name = "商家金额")
    private BigDecimal shopMoney;

    /** 省份ID */
    @Excel(name = "省份ID")
    private Long provinceId;

    /** 省份名称 */
    @Excel(name = "省份名称")
    private String provinceName;

    /** 城市ID */
    @Excel(name = "城市ID")
    private Long cityId;

    /** 城市名称 */
    @Excel(name = "城市名称")
    private String cityName;

    /** 区域ID */
    @Excel(name = "区域ID")
    private Long areaId;

    /** 区域名称 */
    @Excel(name = "区域名称")
    private String areaName;

    /** 地址 */
    @Excel(name = "地址")
    private String address;

    /** 经度 */
    @Excel(name = "经度")
    private String longitude;

    /** 纬度 */
    @Excel(name = "纬度")
    private String latitude;

    /** 访客数量 */
    @Excel(name = "访客数量")
    private Long visitorCount;

    /** 商家状态（0-正常，1-冻结） */
    @Excel(name = "商家状态", readConverterExp = "0=-正常，1-冻结")
    private Integer shopStatus;

    /** 创建时间 */
    @Excel(name = "创建时间")
    private String createAt;

    /** 更新时间 */
    @Excel(name = "更新时间")
    private String updateAt;

    /** 删除标记（0-正常，1-删除） */
    private Integer delFlag;

    public void setShopId(Long shopId) 
    {
        this.shopId = shopId;
    }

    public Long getShopId() 
    {
        return shopId;
    }
    public void setSysUserId(Long sysUserId) 
    {
        this.sysUserId = sysUserId;
    }

    public Long getSysUserId() 
    {
        return sysUserId;
    }
    public void setShopName(String shopName) 
    {
        this.shopName = shopName;
    }

    public String getShopName() 
    {
        return shopName;
    }
    public void setShopPhone(String shopPhone) 
    {
        this.shopPhone = shopPhone;
    }

    public String getShopPhone() 
    {
        return shopPhone;
    }
    public void setShopAccount(String shopAccount) 
    {
        this.shopAccount = shopAccount;
    }

    public String getShopAccount() 
    {
        return shopAccount;
    }
    public void setShopPassword(String shopPassword) 
    {
        this.shopPassword = shopPassword;
    }

    public String getShopPassword() 
    {
        return shopPassword;
    }
    public void setShopImage(String shopImage) 
    {
        this.shopImage = shopImage;
    }

    public String getShopImage() 
    {
        return shopImage;
    }
    public void setShopBanner(String shopBanner) 
    {
        this.shopBanner = shopBanner;
    }

    public String getShopBanner() 
    {
        return shopBanner;
    }
    public void setShopLicense(String shopLicense) 
    {
        this.shopLicense = shopLicense;
    }

    public String getShopLicense() 
    {
        return shopLicense;
    }
    public void setShopPermit(String shopPermit) 
    {
        this.shopPermit = shopPermit;
    }

    public String getShopPermit() 
    {
        return shopPermit;
    }
    public void setShopBusinessBegin(String shopBusinessBegin) 
    {
        this.shopBusinessBegin = shopBusinessBegin;
    }

    public String getShopBusinessBegin() 
    {
        return shopBusinessBegin;
    }
    public void setShopBusinessEnd(String shopBusinessEnd) 
    {
        this.shopBusinessEnd = shopBusinessEnd;
    }

    public String getShopBusinessEnd() 
    {
        return shopBusinessEnd;
    }
    public void setShopMoney(BigDecimal shopMoney) 
    {
        this.shopMoney = shopMoney;
    }

    public BigDecimal getShopMoney() 
    {
        return shopMoney;
    }
    public void setProvinceId(Long provinceId) 
    {
        this.provinceId = provinceId;
    }

    public Long getProvinceId() 
    {
        return provinceId;
    }
    public void setProvinceName(String provinceName) 
    {
        this.provinceName = provinceName;
    }

    public String getProvinceName() 
    {
        return provinceName;
    }
    public void setCityId(Long cityId) 
    {
        this.cityId = cityId;
    }

    public Long getCityId() 
    {
        return cityId;
    }
    public void setCityName(String cityName) 
    {
        this.cityName = cityName;
    }

    public String getCityName() 
    {
        return cityName;
    }
    public void setAreaId(Long areaId) 
    {
        this.areaId = areaId;
    }

    public Long getAreaId() 
    {
        return areaId;
    }
    public void setAreaName(String areaName) 
    {
        this.areaName = areaName;
    }

    public String getAreaName() 
    {
        return areaName;
    }
    public void setAddress(String address) 
    {
        this.address = address;
    }

    public String getAddress() 
    {
        return address;
    }
    public void setLongitude(String longitude) 
    {
        this.longitude = longitude;
    }

    public String getLongitude() 
    {
        return longitude;
    }
    public void setLatitude(String latitude) 
    {
        this.latitude = latitude;
    }

    public String getLatitude() 
    {
        return latitude;
    }
    public void setVisitorCount(Long visitorCount) 
    {
        this.visitorCount = visitorCount;
    }

    public Long getVisitorCount() 
    {
        return visitorCount;
    }
    public void setShopStatus(Integer shopStatus) 
    {
        this.shopStatus = shopStatus;
    }

    public Integer getShopStatus() 
    {
        return shopStatus;
    }
    public void setCreateAt(String createAt) 
    {
        this.createAt = createAt;
    }

    public String getCreateAt() 
    {
        return createAt;
    }
    public void setUpdateAt(String updateAt) 
    {
        this.updateAt = updateAt;
    }

    public String getUpdateAt() 
    {
        return updateAt;
    }
    public void setDelFlag(Integer delFlag) 
    {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("shopId", getShopId())
            .append("sysUserId", getSysUserId())
            .append("shopName", getShopName())
            .append("shopPhone", getShopPhone())
            .append("shopAccount", getShopAccount())
            .append("shopPassword", getShopPassword())
            .append("shopImage", getShopImage())
            .append("shopBanner", getShopBanner())
            .append("shopLicense", getShopLicense())
            .append("shopPermit", getShopPermit())
            .append("shopBusinessBegin", getShopBusinessBegin())
            .append("shopBusinessEnd", getShopBusinessEnd())
            .append("shopMoney", getShopMoney())
            .append("provinceId", getProvinceId())
            .append("provinceName", getProvinceName())
            .append("cityId", getCityId())
            .append("cityName", getCityName())
            .append("areaId", getAreaId())
            .append("areaName", getAreaName())
            .append("address", getAddress())
            .append("longitude", getLongitude())
            .append("latitude", getLatitude())
            .append("visitorCount", getVisitorCount())
            .append("shopStatus", getShopStatus())
            .append("createAt", getCreateAt())
            .append("updateAt", getUpdateAt())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
